CVS-DEBC(1)

NOM
cvs-debrelease - Envoyer à l'archive Debian un paquet créé par cvs-buildpackage ou cvs-debuild

SYNOPSIS
cvs-debrelease [options_cvs-debrelease] [--dopts [options_dupload/dput]]

DESCRIPTION
cvs-debrelease est exécuté après cvs-buildpackage ou cvs-debuild depuis le répertoire de travail CVS. Il utilise le système cvs-buildpackage pour trouver le fichier .changes produit au cours de cette exécution. Il envoie ensuite le paquet à l'archive Debian en utilisant debrelease(1), qui appelle soit dupload soit dput. Remarquez que l'option --dopts doit être utilisée pour différencier les options de cvs-debrelease des options de dupload ou dput. Les fichiers de configuration de devscripts seront également lus, comme décrit dans la page de manuel de debrelease(1).

Remarquez que, contrairement à cvs-buildpackage, le nom du paquet source ne peut être indiqué qu'avec l'option -P ; vous ne pouvez pas utiliser simplement le dernier argument de la ligne de commande.

OPTIONS
Toutes les options de cvs-buildpackage sont acceptées sans avertissement. Cependant, seules celles listées ci-dessous ont un effet. Pour plus de détails sur ces options, consultez la page de manuel de cvs-buildpackage(1). Toutes les options de debrelease (listées ci-dessous) sont également acceptées.

--dupload, --dput
    Permet d'indiquer le programme utilisé pour l'envoi à l'archive Debian. Par défaut, dupload est utilisé.

-aarchitecture-debian, -ttype-de-système-GNU
    Veuillez consulter dpkg-architecture(1) pour une description de ces options. Ces options affectent la recherche du fichier .changes. Elles consistent à imiter le comportement de dpkg-buildpackage lors de la détermination du nom du fichier .changes.

-Mmodule
    Le nom du module CVS.

-Ppaquet
    Le nom du paquet.

-Vversion
    Le numéro de version du paquet.

-Tétiquette
    L'étiquette CVS utilisée pour exporter les sources.

-Rrépertoire_racine
    Racine de l'archive source initiale.

-Wespace_de_travail
    Le chemin complet de l'espace de travail pour cvs-buildpackage.

-xpréfixe
    Le préfixe par défaut des modules CVS.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L'option ne peut être utilisée qu'en première position de la ligne de commande.

--help, --version
    Afficher respectivement le message d'aide et la version.

VOIR AUSSI
cvs-buildpackage(1), cvs-debuild(1), debrelease(1)

AUTEUR
cvs-buildpackage a été écrit par Manoj Srivastava, et la version actuelle de debrelease a été écrite par Julian Gilbey <jdg@debian.org>. Ils ont été combinés par Julian Gilbey pour donner ce programme.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.